Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000583 [1003.1(2008)/Issue 7] Shell and Utilities Objection Enhancement Request 2012-06-16 10:43 2019-06-10 08:55
Reporter schweikh View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Closed  
Name Jens Schweikhardt
Organization
User Reference
Section 2.7.4 Here-Document
Page Number 2313
Line Number 72982
Interp Status ---
Final Accepted Text
Summary 0000583: When is any character in the delimiter word quoted?
Description The text says: "If any character in word is quoted, ..."

Is any character quoted in
cat << E""O''F ?

According to a pedantic reading, I think, no. The wording could be easily improved to make clear it should be treated as quoted (which is what the shells I tried actually do). I believe the intent is to attempt quote removal on word and if any quote characters were removed, the word was quoted.
Desired Action In line 72982 change
"If any character in word" to "If any part of word"
In line 72985 change
"If no characters in word are" to "If no part of word is"
Tags tc2-2008
Attached Files

- Relationships
related to 0001036New 1003.1(2013)/Issue7+TC1 Errors/Omissions in specification of here document redirection 

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-06-16 10:43 schweikh New Issue
2012-06-16 10:43 schweikh Status New => Under Review
2012-06-16 10:43 schweikh Assigned To => ajosey
2012-06-16 10:43 schweikh Name => Jens Schweikhardt
2012-06-16 10:43 schweikh Section => 2.7.4 Here-Document
2012-06-16 10:43 schweikh Page Number => 2313
2012-06-16 10:43 schweikh Line Number => 72982
2012-06-28 16:15 nick Interp Status => ---
2012-06-28 16:15 nick Status Under Review => Resolved
2012-06-28 16:15 nick Resolution Open => Accepted
2012-06-28 16:15 nick Tag Attached: tc2-2008
2016-03-23 09:30 geoffclare Relationship added related to 0001036
2019-06-10 08:55 agadmin Status Resolved => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker